Package org.gradle.api.artifacts

# Interface MutableVersionConstraint

All Superinterfaces:
  `VersionConstraint`

@Incubating public interface MutableVersionConstraint extends VersionConstraint
A configurable version constraint. This is exposed to the build author, so that one can express more constraints on a version,

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`void`
`prefer(String version)`
Sets the preferred version of this module.
`void`
`strictly(String version)`
Sets the version as strict, meaning that if any other dependency version for this module disagrees with this version, resolution will fail.

### Methods inherited from interface org.gradle.api.artifacts.VersionConstraint

`getPreferredVersion, getRejectedVersions`

## Method Details

### prefer

void prefer(String version)
Sets the preferred version of this module. Any other rejection/strict constraint will be overriden.

Parameters:
  `version` - the preferred version of this module

### strictly

void strictly(String version)
Sets the version as strict, meaning that if any other dependency version for this module disagrees with this version, resolution will fail.

Parameters:
  `version` - the strict version to be used for this module